.common_rules: &common_rules
  limits:
    most_recent: 30

.item: &item
  item: |
    - [ ] #{full_resource_reference} {{title}} {{labels}}

resource_rules:
  issues:
    summaries:
      - name: Collate "Engineering Productivity" issues requiring attention
        actions:
          summarize:
            destination: gitlab-org/quality/triage-reports
            title: |
              #{Date.today.iso8601} - Triage report for "Engineering Productivity"
            summary: |
              #{ report_summary(**group_engineering_productivity) }

              ---

              Job URL: #{ENV['CI_JOB_URL']}

              This report was generated from [this policy](#{ENV['CI_PROJECT_URL']}/blob/#{ENV['CI_DEFAULT_BRANCH']}/policies/groups/gitlab-org/quality/ep-triage-report.yml).
        rules:
          - name: ~"Engineering Productivity" Unscheduled priority::1 Issues
            conditions:
              state: opened
              labels:
                - "Engineering Productivity"
                - priority::1
              forbidden_labels:
                - failure::flaky-test
                - master:broken
                - master:foss-broken
              milestone: None
            actions:
              summarize:
                <<: *item
                title: Engineering Productivity unscheduled priority::1 issues
                summary: |
                  #{ titled_summary("### Engineering Productivity unscheduled priority::1 issues") }
          - name: ~"Engineering Productivity" Unscheduled priority::2 Issues
            conditions:
              state: opened
              labels:
                - "Engineering Productivity"
                - priority::2
              forbidden_labels:
                - failure::flaky-test
                - master:broken
                - master:foss-broken
              milestone: None
            limit:
              most_recent: 20
            actions:
              summarize:
                <<: *item
                title: Engineering Productivity unscheduled priority::2 issues
                summary: |
                  #{ titled_summary("### Engineering Productivity unscheduled priority::2 issues") }
          - name: ~"Engineering Productivity" issues needed planning breakdown
            conditions:
              state: opened
              labels:
                - "Engineering Productivity"
                - "workflow::planning breakdown"
            actions:
              summarize:
                <<: *item
                title: Engineering Productivity issues in planning breakdown
                summary: |
                  #{ titled_summary("### Engineering Productivity issues in planning breakdown") }
          - name: ~"Engineering Productivity" issues needing weight
            conditions:
              state: opened
              labels:
                - "Engineering Productivity"
                - "needs weight"
            actions:
              summarize:
                destination: gitlab-org/quality/triage-reports
                <<: *item
                title: Engineering Productivity issues needing weight
                summary: |
                  #{ titled_summary("### Engineering Productivity issues needing weight") }
          - name: New ~"Engineering Productivity" Issues
            conditions:
              state: opened
              date:
                attribute: created_at
                condition: newer_than
                interval_type: days
                interval: 7
                filter_in_ruby: true
              labels:
                - "Engineering Productivity"
              forbidden_labels:
                - failure::flaky-test
                - master:broken
                - master:foss-broken
                - review-apps-broken
            actions:
              summarize:
                <<: *item
                title: New Engineering Productivity issues
                summary: |
                  #{ titled_summary("### New Engineering Productivity issues") }
